Quassel IRC - Bug #308

Make the columnhandleitem fade in smoother
08/31/2008 06:09 PM - Hydrogen
Description

Currently when mousing over a columnhandleitem the fadein is extremely quick, and blocky. It's set to have a 150ms fade in, and its

updated every 40ms by default. Thats four frames, much less than the eye can handle.

I've modified it here to take 350ms, and update every 20ms. This brings us to 18 fps, which is much less noticible to the eye.
Because the paintEvent then is called so often and so quickly, I've cached the rulerColor. It would probably also make sense to

cache the gradiant, so all the paintEvent does is set the alpha and paint.

The downside to caching that I'm sure theres a workaround that | havn't found yet, is that there is no resizeEvent (for the gradiant
caching) or paletteChangeEvent (for the color caching) on graphics items, meaning this can get out of date fairly easily. This would

need to be fixed to make the cache truly work.

Associated revisions

Revision ef6faa994fcabbf7332c7a3761b2e68a133de6dc - 11/03/2008 03:56 PM - Marcus Eggenberger

Fixing BR #308 - make column handle fade smoother

Revision ef6faa99 - 11/03/2008 03:56 PM - Marcus Eggenberger

Fixing BR #308 - make column handle fade smoother

History

#1 - 11/03/2008 03:57 PM - EgS

Fixed in current git:
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=ef6faa994fcabbf7332c7a3761b2e68a133de6dc

I've applied your patch. When the application palette changes, the scene updates the color of the column handles.
